<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTmsAmVehicleLocationTraffilogTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tms_am_vehicle_location_traffilog', function (Blueprint $table) {
            $table->id('pk_vehicle_trafilog');
            $table->string('fk_vehicle');
            $table->string('lat');
            $table->string('lng');
            $table->boolean('existiendo_activos');
            $table->timestamp('fecha_actualizacion');
            //$table->foreign('fk_vehicle')->references('pk_vehicle')->on('tms_am_vehicles');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tms_am_vehicle_location_traffilog');
    }
}
